%% non-linear Regression

    % Norwegian University of Science and Technology
    % Industrial Ecology Programme
    
    % Modified by: Avijit Pandit 2016

    % The parameters ti (time of inflection) and tau (time constant for
    % transition time) will be changed during regression to fit the curve to
    % the observed data y at the times x. Initial values for ti and tau must be set
    % before regression.

    % Requirement: logistic.m existing in folder

%% Regression
%%%datareading
Data= xlsread('Figures for analysis.xlsx','Coverage_obs');
x_obs = Data(1,1:end); % Years of observation
%% 0 Year
In = [0.02;0.05]; %inital and final values
Av = [2010;3] ;  
y_obs_0 = Data(2,1:end);    % Observed values
y_regr_0=logistic(Av,(1991:2030),In); % Makes a vector of values for the simulated curve
%% 1 Year
In = [0.2;0.7]; %inital and final values
Av = [2005;2] ;  
y_obs_1 = Data(3,1:end);    % Observed values
y_regr_1=logistic(Av,(1991:2030),In); % Make a vector of values for the simulated curve

%% 2 Year
In = [0.4;0.9]; %inital and final values
Av = [2005;2];   
y_obs_2 = Data(4,1:end);    % Observed values
y_regr_2=logistic(Av,(1991:2030),In); % Makes a vector of values for the simulated curve

%% 3 Year
In = [0.68;0.95]; %inital and final values
Av = [2005;2];   
y_obs_3 = Data(5,1:end);    % Observed values
y_regr_3=logistic(Av,(1991:2030),In); % Makes a vector of values for the simulated curve

%% 4 Year
In = [0.75;0.98]; %inital and final values
Av = [2005;3];   
y_obs_4 = Data(6,1:end);    % Observed values
y_regr_4=logistic(Av,(1991:2030),In); % Makes a vector of values for the simulated curve%% plotting

%% 5 Year
In = [0.8;0.99]; %inital and final values
Av = [2005;2];   
y_obs_5 = Data(7,1:end);    % Observed values
y_regr_5=logistic(Av,(1991:2030),In); % Makes a vector of values for the simulated curve
%% 6 Year
In = [0.02;0.01]; %inital and final values
Av = [2010;3];   
y_obs_6 = Data(8,1:end);    % Observed values
y_regr_6=logistic(Av,(1991:2030),In); % Makes a vector of values for the simulated curve
%% Plotting
%Plot of age 0
plot(x_obs,y_obs_0,'*r','MarkerSize',5,'DisplayName','0 years'); 
set(gca,'YLim', [0 1], 'XLim',[1990,2030]); % Axes limits
hold on % Hold previous plot
plot(gca,(1991:2030)',y_regr_0,'r','DisplayName','reg'); % plot fitted curve  
%Plot of age 1 
plot(x_obs,y_obs_1,'*g','MarkerSize',5,'DisplayName','1 years');
plot(gca,(1991:2030)',y_regr_1,'g','DisplayName','reg'); % plot fitted curve 
%Plot of age 2 
plot(x_obs,y_obs_2,'*b','MarkerSize',5,'DisplayName','2 years');
plot(gca,(1991:2030)',y_regr_2,'b','DisplayName','reg'); % plot fitted curve 
%Plot of age 3 
plot(x_obs,y_obs_3,'*c','MarkerSize',5,'DisplayName','3 years');
plot(gca,(1991:2030)',y_regr_3,'c','DisplayName','reg'); % plot fitted curve 
%Plot of age 4 
plot(x_obs,y_obs_4,'*m','MarkerSize',5,'DisplayName','4 years');
plot(gca,(1991:2030)',y_regr_4,'m','DisplayName','reg'); % plot fitted curve 
%Plot of age 5 
plot(x_obs,y_obs_5,'*y','MarkerSize',5,'DisplayName','5 years');
plot(gca,(1991:2030)',y_regr_5,'y','DisplayName','reg'); % plot fitted curve
%Plot of age 6 
plot(x_obs,y_obs_6,'*k','MarkerSize',5,'DisplayName','6 years');
plot(gca,(1991:2030)',y_regr_6,'k','DisplayName','reg'); % plot fitted curve 
hold off 
lgd= legend('show');